## rust-sequoia-cert-store 0.4.0

=== tests/Makefile ===
certs = data/alice.pgp \
	data/alice2.pgp \
	data/alice2-adopted-alice.pgp \
	data/bob.pgp \
	data/carol.pgp \
	data/david.pgp \
	data/ed.pgp \
	data/halfling-signing.pgp \
	data/halfling-encryption.pgp \
	data/hans-puny-code.pgp \
	data/steve.pgp \
	data/una.pgp


keyring.rs keyring.pgp: $(certs) cert2rust.sh
	./cert2rust.sh $(certs) > keyring.rs
	sq keyring join $(certs) > keyring.pgp

## rust-sequoia-cert-store 0.2.0

=== debian/changelog ===
rust-sequoia-cert-store (0.2.0-1) experimental; urgency=medium

  * Package sequoia-cert-store 0.2.0 from crates.io using debcargo 2.6.0

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 14 Mar 2023 22:49:24 -0400

=== debian/control ===
Source: rust-sequoia-cert-store
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~) <!nocheck>,
 librust-dirs-4+default-dev <!nocheck>,
 librust-num-cpus-1+default-dev <!nocheck>,
 librust-once-cell-1+default-dev (>= 1.17-~~) <!nocheck>,
 librust-openpgp-cert-d-0.1+default-dev <!nocheck>,
 librust-rayon-1+default-dev <!nocheck>,
 librust-sequoia-net-0.26-dev <!nocheck>,
 librust-sequoia-openpgp-1-dev (>= 1.13-~~) <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.2-~~) <!nocheck>,
 librust-tokio-1+default-dev (>= 1.13-~~) <!nocheck>,
 librust-tokio-1+rt-dev (>= 1.13-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-cert-store]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-cert-store
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-cert-store
Rules-Requires-Root: no

Package: librust-sequoia-cert-store-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
 librust-dirs-4+default-dev,
 librust-num-cpus-1+default-dev,
 librust-once-cell-1+default-dev (>= 1.17-~~),
 librust-openpgp-cert-d-0.1+default-dev,
 librust-rayon-1+default-dev,
 librust-sequoia-net-0.26-dev,
 librust-sequoia-openpgp-1-dev (>= 1.13-~~),
 librust-thiserror-1+default-dev (>= 1.0.2-~~),
 librust-tokio-1+default-dev (>= 1.13-~~),
 librust-tokio-1+rt-dev (>= 1.13-~~)
Provides:
 librust-sequoia-cert-store+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.2-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.2+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.2.0-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.2.0+default-dev (= ${binary:Version})
Description: Certificate database interface - Rust source code
 This package contains the source for the Rust sequoia-cert-store crate,
 packaged by debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.2.0 --all-targets --all-features
Features: test-name=rust-sequoia-cert-store:@
Depends: dh-cargo (>= 18), librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.2.0 --all-targets
Features: test-name=librust-sequoia-cert-store-dev:default
Depends: dh-cargo (>= 18), librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.2.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-cert-store-dev:
Depends: dh-cargo (>= 18), librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-sequoia-cert-store 0.4.0

=== debian/changelog ===
rust-sequoia-cert-store (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * Package sequoia-cert-store 0.4.0 from crates.io using debcargo 2.6.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Thu, 25 Jan 2024 10:08:30 +0000

rust-sequoia-cert-store (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-cert-store 0.3.2 from crates.io using debcargo 2.6.1
  * Stop patcing rusqlite dependency.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 12 Dec 2023 17:05:27 +0000

rust-sequoia-cert-store (0.3.2-1) unstable; urgency=medium

  [ Alexander Kjäll ]
  * Package sequoia-cert-store 0.3.2 from crates.io using debcargo 2.6.0

  [ Holger Levsen ]
  * Add myself to uploaders.

 -- Holger Levsen <holger@debian.org>  Thu, 26 Oct 2023 23:00:53 +0200

=== debian/control ===
Source: rust-sequoia-cert-store
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.70) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~) <!nocheck>,
 librust-dirs-5+default-dev <!nocheck>,
 librust-num-cpus-1+default-dev <!nocheck>,
 librust-openpgp-cert-d-0.3+default-dev <!nocheck>,
 librust-rayon-1+default-dev <!nocheck>,
 librust-rusqlite+blob-dev (<< 0.31-~~) <!nocheck>,
 librust-rusqlite+collation-dev (<< 0.31-~~) <!nocheck>,
 librust-rusqlite+default-dev (<< 0.31-~~) <!nocheck>,
 librust-sequoia-net-0.28-dev <!nocheck>,
 librust-sequoia-openpgp-1-dev (>= 1.17.0-~~) <!nocheck>,
 librust-smallvec-1+default-dev (>= 1.1-~~) <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.2-~~) <!nocheck>,
 librust-tokio-1+default-dev (>= 1.13-~~) <!nocheck>,
 librust-tokio-1+rt-dev (>= 1.13-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-cert-store]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-cert-store
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-cert-store
Rules-Requires-Root: no

Package: librust-sequoia-cert-store-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
 librust-dirs-5+default-dev,
 librust-num-cpus-1+default-dev,
 librust-openpgp-cert-d-0.3+default-dev,
 librust-rayon-1+default-dev,
 librust-rusqlite+blob-dev (<< 0.31-~~),
 librust-rusqlite+collation-dev (<< 0.31-~~),
 librust-rusqlite+default-dev (<< 0.31-~~),
 librust-sequoia-net-0.28-dev,
 librust-sequoia-openpgp-1-dev (>= 1.17.0-~~),
 librust-smallvec-1+default-dev (>= 1.1-~~),
 librust-thiserror-1+default-dev (>= 1.0.2-~~),
 librust-tokio-1+default-dev (>= 1.13-~~),
 librust-tokio-1+rt-dev (>= 1.13-~~)
Provides:
 librust-sequoia-cert-store+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.4-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.4+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.4.0-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.4.0+default-dev (= ${binary:Version})
Description: Certificate database interface - Rust source code
 Source code for Debianized Rust crate "sequoia-cert-store"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.4.0 --all-targets --all-features
Features: test-name=rust-sequoia-cert-store:@
Depends: dh-cargo (>= 18), librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.4.0 --all-targets
Features: test-name=librust-sequoia-cert-store-dev:default
Depends: dh-cargo (>= 18), librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.4.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-cert-store-dev:
Depends: dh-cargo (>= 18), librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-sequoia-cert-store 0.5.0

=== tests/Makefile ===
--- 
+++ 
@@ -14,4 +14,4 @@
 
 keyring.rs keyring.pgp: $(certs) cert2rust.sh
 	./cert2rust.sh $(certs) > keyring.rs
-	sq keyring join $(certs) > keyring.pgp
+	sq toolbox keyring merge $(certs) > keyring.pgp

=== debian/changelog ===
rust-sequoia-cert-store (0.5.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:16:36 +1100

rust-sequoia-cert-store (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * Package sequoia-cert-store 0.5.0 from crates.io using debcargo 2.6.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sun, 03 Mar 2024 17:37:44 +0100

=== debian/control ===
Source: rust-sequoia-cert-store
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.70) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~) <!nocheck>,
 librust-dirs-5+default-dev <!nocheck>,
 librust-num-cpus-1+default-dev <!nocheck>,
 librust-openpgp-cert-d-0.3+default-dev (>= 0.3.1-~~) <!nocheck>,
 librust-rayon-1+default-dev <!nocheck>,
 librust-rusqlite-0.29+blob-dev <!nocheck>,
 librust-rusqlite-0.29+collation-dev <!nocheck>,
 librust-rusqlite-0.29+default-dev <!nocheck>,
 librust-sequoia-net-0.28-dev <!nocheck>,
 librust-sequoia-openpgp-1-dev (>= 1.19.0-~~) <!nocheck>,
 librust-smallvec-1+default-dev (>= 1.1-~~) <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.2-~~) <!nocheck>,
 librust-tokio-1+default-dev (>= 1.13-~~) <!nocheck>,
 librust-tokio-1+rt-dev (>= 1.13-~~) <!nocheck>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-cert-store]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-cert-store
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-cert-store
Rules-Requires-Root: no

Package: librust-sequoia-cert-store-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
 librust-dirs-5+default-dev,
 librust-num-cpus-1+default-dev,
 librust-openpgp-cert-d-0.3+default-dev (>= 0.3.1-~~),
 librust-rayon-1+default-dev,
 librust-rusqlite-0.29+blob-dev,
 librust-rusqlite-0.29+collation-dev,
 librust-rusqlite-0.29+default-dev,
 librust-sequoia-net-0.28-dev,
 librust-sequoia-openpgp-1-dev (>= 1.19.0-~~),
 librust-smallvec-1+default-dev (>= 1.1-~~),
 librust-thiserror-1+default-dev (>= 1.0.2-~~),
 librust-tokio-1+default-dev (>= 1.13-~~),
 librust-tokio-1+rt-dev (>= 1.13-~~)
Provides:
 librust-sequoia-cert-store+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.5-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.5+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.5.0-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.5.0+default-dev (= ${binary:Version})
Description: Certificate database interface - Rust source code
 Source code for Debianized Rust crate "sequoia-cert-store"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.5.0 --all-targets --all-features
Features: test-name=rust-sequoia-cert-store:@
Depends: dh-cargo (>= 18), librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.5.0 --all-targets
Features: test-name=librust-sequoia-cert-store-dev:default
Depends: dh-cargo (>= 18), librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.5.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-cert-store-dev:
Depends: dh-cargo (>= 18), librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-cert-store-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-cert-store .*/crates/sequoia-cert-store/@ANY_VERSION@/download

## rust-sequoia-cert-store 0.6.0

=== debian/changelog ===
rust-sequoia-cert-store (0.6.0-2) unstable; urgency=medium

  * Package sequoia-cert-store 0.6.0 from crates.io using debcargo 2.6.1
  * Source only upload.

 -- Holger Levsen <holger@debian.org>  Tue, 02 Jul 2024 17:04:46 +0200

rust-sequoia-cert-store (0.6.0-1) unstable; urgency=medium

  * Package sequoia-cert-store 0.6.0 from crates.io using debcargo 2.6.1

 -- Holger Levsen <holger@debian.org>  Thu, 27 Jun 2024 19:06:56 +0200

=== debian/control ===
Source: rust-sequoia-cert-store
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.70) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~) <!nocheck>,
 librust-dirs-5+default-dev <!nocheck>,
 librust-gethostname-0.4+default-dev <!nocheck>,
 librust-num-cpus-1+default-dev <!nocheck>,
 librust-openpgp-cert-d-0.3+default-dev (>= 0.3.2-~~) <!nocheck>,
 librust-rayon-1+default-dev <!nocheck>,
 librust-rusqlite-0.29+blob-dev <!nocheck>,
 librust-rusqlite-0.29+collation-dev <!nocheck>,
 librust-rusqlite-0.29+default-dev <!nocheck>,
 librust-rusqlite-0.29+trace-dev <!nocheck>,
 librust-sequoia-net-0.28-dev <!nocheck>,
 librust-sequoia-openpgp-1-dev (>= 1.19.0-~~) <!nocheck>,
 librust-smallvec-1+default-dev (>= 1.1-~~) <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.2-~~) <!nocheck>,
 librust-tokio-1+default-dev (>= 1.13-~~) <!nocheck>,
 librust-tokio-1+rt-dev (>= 1.13-~~) <!nocheck>,
 librust-url-2+default-dev (>= 2.5-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-cert-store]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-cert-store
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-cert-store
Rules-Requires-Root: no

Package: librust-sequoia-cert-store-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
 librust-dirs-5+default-dev,
 librust-gethostname-0.4+default-dev,
 librust-num-cpus-1+default-dev,
 librust-openpgp-cert-d-0.3+default-dev (>= 0.3.2-~~),
 librust-rayon-1+default-dev,
 librust-rusqlite-0.29+blob-dev,
 librust-rusqlite-0.29+collation-dev,
 librust-rusqlite-0.29+default-dev,
 librust-rusqlite-0.29+trace-dev,
 librust-sequoia-net-0.28-dev,
 librust-sequoia-openpgp-1-dev (>= 1.19.0-~~),
 librust-smallvec-1+default-dev (>= 1.1-~~),
 librust-thiserror-1+default-dev (>= 1.0.2-~~),
 librust-tokio-1+default-dev (>= 1.13-~~),
 librust-tokio-1+rt-dev (>= 1.13-~~),
 librust-url-2+default-dev (>= 2.5-~~)
Provides:
 librust-sequoia-cert-store+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store+keyserver-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0+keyserver-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.6-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.6+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.6+keyserver-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.6.0-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.6.0+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.6.0+keyserver-dev (= ${binary:Version})
Description: Certificate database interface - Rust source code
 Source code for Debianized Rust crate "sequoia-cert-store"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.0 --all-targets --all-features
Features: test-name=rust-sequoia-cert-store:@
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.0 --all-targets
Features: test-name=librust-sequoia-cert-store-dev:default
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.0 --all-targets --no-default-features --features keyserver
Features: test-name=librust-sequoia-cert-store-dev:keyserver
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-cert-store-dev:
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-sequoia-cert-store 0.6.1

=== debian/changelog ===
rust-sequoia-cert-store (0.6.1-2) unstable; urgency=medium

  * Package sequoia-cert-store 0.6.1 from crates.io using debcargo 2.7.1
  * debian/patches: add dep3 headers.

 -- Holger Levsen <holger@debian.org>  Sat, 19 Oct 2024 13:24:49 +0200

rust-sequoia-cert-store (0.6.1-1) unstable; urgency=medium

  * Package sequoia-cert-store 0.6.1 from crates.io using debcargo 2.7.0
  * Update debian/patches/relax-deps.patch.

 -- Holger Levsen <holger@debian.org>  Sat, 28 Sep 2024 10:22:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: rust-sequoia-cert-store
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  cargo:native <!nocheck>,
  rustc:native (>= 1.70) <!nocheck>,
  libstd-rust-dev <!nocheck>,
@@ -18,7 +18,7 @@
  librust-rusqlite-0.29+default-dev <!nocheck>,
  librust-rusqlite-0.29+trace-dev <!nocheck>,
  librust-sequoia-net-0.28-dev <!nocheck>,
- librust-sequoia-openpgp-1-dev (>= 1.19.0-~~) <!nocheck>,
+ librust-sequoia-openpgp-1-dev (>= 1.21.1-~~) <!nocheck>,
  librust-smallvec-1+default-dev (>= 1.1-~~) <!nocheck>,
  librust-thiserror-1+default-dev (>= 1.0.2-~~) <!nocheck>,
  librust-tokio-1+default-dev (>= 1.13-~~) <!nocheck>,
@@ -28,7 +28,7 @@
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Holger Levsen <holger@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-cert-store]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-cert-store
 Homepage: https://sequoia-pgp.org/
@@ -52,7 +52,7 @@
  librust-rusqlite-0.29+default-dev,
  librust-rusqlite-0.29+trace-dev,
  librust-sequoia-net-0.28-dev,
- librust-sequoia-openpgp-1-dev (>= 1.19.0-~~),
+ librust-sequoia-openpgp-1-dev (>= 1.21.1-~~),
  librust-smallvec-1+default-dev (>= 1.1-~~),
  librust-thiserror-1+default-dev (>= 1.0.2-~~),
  librust-tokio-1+default-dev (>= 1.13-~~),
@@ -67,8 +67,8 @@
  librust-sequoia-cert-store-0.6-dev (= ${binary:Version}),
  librust-sequoia-cert-store-0.6+default-dev (= ${binary:Version}),
  librust-sequoia-cert-store-0.6+keyserver-dev (= ${binary:Version}),
- librust-sequoia-cert-store-0.6.0-dev (= ${binary:Version}),
- librust-sequoia-cert-store-0.6.0+default-dev (= ${binary:Version}),
- librust-sequoia-cert-store-0.6.0+keyserver-dev (= ${binary:Version})
+ librust-sequoia-cert-store-0.6.1-dev (= ${binary:Version}),
+ librust-sequoia-cert-store-0.6.1+default-dev (= ${binary:Version}),
+ librust-sequoia-cert-store-0.6.1+keyserver-dev (= ${binary:Version})
 Description: Certificate database interface - Rust source code
  Source code for Debianized Rust crate "sequoia-cert-store"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.1 --all-targets --all-features
Features: test-name=rust-sequoia-cert-store:@
Depends: dh-cargo (>= 31), rustc:native (>= 1.70), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.1 --all-targets
Features: test-name=librust-sequoia-cert-store-dev:default
Depends: dh-cargo (>= 31), rustc:native (>= 1.70), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.1 --all-targets --no-default-features --features keyserver
Features: test-name=librust-sequoia-cert-store-dev:keyserver
Depends: dh-cargo (>= 31), rustc:native (>= 1.70), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.1 --all-targets --no-default-features
Features: test-name=librust-sequoia-cert-store-dev:
Depends: dh-cargo (>= 31), rustc:native (>= 1.70), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-sequoia-cert-store 0.6.2

=== tests/Makefile ===
--- 
+++ 
@@ -8,8 +8,9 @@
 	data/halfling-signing.pgp \
 	data/halfling-encryption.pgp \
 	data/hans-puny-code.pgp \
-	data/steve.pgp \
-	data/una.pgp
+	data/una.pgp \
+	data/peter.pgp \
+	data/steve.pgp
 
 
 keyring.rs keyring.pgp: $(certs) cert2rust.sh

=== debian/changelog ===
rust-sequoia-cert-store (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * Package sequoia-cert-store 0.6.2 from crates.io using debcargo 2.7.6

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Tue, 04 Feb 2025 12:34:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
  cargo:native <!nocheck>,
- rustc:native (>= 1.70) <!nocheck>,
+ rustc:native (>= 1.71.1) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
  librust-crossbeam-0.8+default-dev (>= 0.8.1-~~) <!nocheck>,
@@ -17,10 +17,10 @@
  librust-rusqlite-0.29+collation-dev <!nocheck>,
  librust-rusqlite-0.29+default-dev <!nocheck>,
  librust-rusqlite-0.29+trace-dev <!nocheck>,
- librust-sequoia-net-0.28-dev <!nocheck>,
- librust-sequoia-openpgp-1-dev (>= 1.21.1-~~) <!nocheck>,
+ librust-sequoia-net-0.29-dev <!nocheck>,
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21.1-~~) <!nocheck>,
  librust-smallvec-1+default-dev (>= 1.1-~~) <!nocheck>,
- librust-thiserror-1+default-dev (>= 1.0.2-~~) <!nocheck>,
+ librust-thiserror-2+default-dev <!nocheck> | librust-thiserror-1+default-dev <!nocheck>,
  librust-tokio-1+default-dev (>= 1.13-~~) <!nocheck>,
  librust-tokio-1+rt-dev (>= 1.13-~~) <!nocheck>,
  librust-url-2+default-dev (>= 2.5-~~) <!nocheck>
@@ -51,10 +51,10 @@
  librust-rusqlite-0.29+collation-dev,
  librust-rusqlite-0.29+default-dev,
  librust-rusqlite-0.29+trace-dev,
- librust-sequoia-net-0.28-dev,
- librust-sequoia-openpgp-1-dev (>= 1.21.1-~~),
+ librust-sequoia-net-0.29-dev,
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21.1-~~),
  librust-smallvec-1+default-dev (>= 1.1-~~),
- librust-thiserror-1+default-dev (>= 1.0.2-~~),
+ librust-thiserror-2+default-dev | librust-thiserror-1+default-dev,
  librust-tokio-1+default-dev (>= 1.13-~~),
  librust-tokio-1+rt-dev (>= 1.13-~~),
  librust-url-2+default-dev (>= 2.5-~~)
@@ -67,8 +67,8 @@
  librust-sequoia-cert-store-0.6-dev (= ${binary:Version}),
  librust-sequoia-cert-store-0.6+default-dev (= ${binary:Version}),
  librust-sequoia-cert-store-0.6+keyserver-dev (= ${binary:Version}),
- librust-sequoia-cert-store-0.6.1-dev (= ${binary:Version}),
- librust-sequoia-cert-store-0.6.1+default-dev (= ${binary:Version}),
- librust-sequoia-cert-store-0.6.1+keyserver-dev (= ${binary:Version})
+ librust-sequoia-cert-store-0.6.2-dev (= ${binary:Version}),
+ librust-sequoia-cert-store-0.6.2+default-dev (= ${binary:Version}),
+ librust-sequoia-cert-store-0.6.2+keyserver-dev (= ${binary:Version})
 Description: Certificate database interface - Rust source code
  Source code for Debianized Rust crate "sequoia-cert-store"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.2 --all-targets --all-features
Features: test-name=rust-sequoia-cert-store:@
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.2 --all-targets
Features: test-name=librust-sequoia-cert-store-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.2 --all-targets --no-default-features --features keyserver
Features: test-name=librust-sequoia-cert-store-dev:keyserver
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.6.2 --all-targets --no-default-features
Features: test-name=librust-sequoia-cert-store-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-cert-store-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-cert-store .*/crates/sequoia-cert-store/@ANY_VERSION@/download

## rust-sequoia-cert-store 0.7.0

=== debian/changelog ===
rust-sequoia-cert-store (0.7.0-1) unstable; urgency=medium

  * Package sequoia-cert-store 0.7.0 from crates.io using debcargo 2.7.8
    - refresh relax-deps.patch.

 -- Holger Levsen <holger@debian.org>  Sat, 29 Mar 2025 20:53:11 +0100

=== debian/control ===
Source: rust-sequoia-cert-store
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native (>= 1.79) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~) <!nocheck>,
 librust-dirs-5+default-dev <!nocheck>,
 librust-gethostname-0.4+default-dev <!nocheck>,
 librust-num-cpus-1+default-dev <!nocheck>,
 librust-openpgp-cert-d-0.3-dev (>= 0.3.4-~~) <!nocheck>,
 librust-rayon-1+default-dev <!nocheck>,
 librust-rusqlite-0.29+blob-dev <!nocheck>,
 librust-rusqlite-0.29+collation-dev <!nocheck>,
 librust-rusqlite-0.29+default-dev <!nocheck>,
 librust-rusqlite-0.29+trace-dev <!nocheck>,
 librust-sequoia-net-0.30-dev <!nocheck>,
 librust-sequoia-openpgp-2+crypto-nettle-dev <!nocheck>,
 librust-smallvec-1+default-dev (>= 1.1-~~) <!nocheck>,
 librust-thiserror+default-dev (<< 3-~~) <!nocheck>,
 librust-thiserror+default-dev (>= 1-~~) <!nocheck>,
 librust-tokio-1+default-dev (>= 1.13-~~) <!nocheck>,
 librust-tokio-1+rt-dev (>= 1.13-~~) <!nocheck>,
 librust-url-2+default-dev (>= 2.5-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-cert-store]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-cert-store
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-cert-store
Rules-Requires-Root: no

Package: librust-sequoia-cert-store-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
 librust-dirs-5+default-dev,
 librust-gethostname-0.4+default-dev,
 librust-num-cpus-1+default-dev,
 librust-openpgp-cert-d-0.3-dev (>= 0.3.4-~~),
 librust-rayon-1+default-dev,
 librust-rusqlite-0.29+blob-dev,
 librust-rusqlite-0.29+collation-dev,
 librust-rusqlite-0.29+default-dev,
 librust-rusqlite-0.29+trace-dev,
 librust-sequoia-net-0.30-dev,
 librust-sequoia-openpgp-2+crypto-nettle-dev,
 librust-smallvec-1+default-dev (>= 1.1-~~),
 librust-thiserror+default-dev (<< 3-~~),
 librust-thiserror+default-dev (>= 1-~~),
 librust-tokio-1+default-dev (>= 1.13-~~),
 librust-tokio-1+rt-dev (>= 1.13-~~),
 librust-url-2+default-dev (>= 2.5-~~)
Provides:
 librust-sequoia-cert-store+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store+keyserver-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0+keyserver-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.7-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.7+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.7+keyserver-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.7.0-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.7.0+default-dev (= ${binary:Version}),
 librust-sequoia-cert-store-0.7.0+keyserver-dev (= ${binary:Version})
Description: Certificate database interface - Rust source code
 Source code for Debianized Rust crate "sequoia-cert-store"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.7.0 --all-targets --all-features
Features: test-name=rust-sequoia-cert-store:@
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.7.0 --all-targets
Features: test-name=librust-sequoia-cert-store-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.7.0 --all-targets --no-default-features --features keyserver
Features: test-name=librust-sequoia-cert-store-dev:keyserver
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.7.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-cert-store-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-rand-0.8+default-dev, librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-sequoia-cert-store 0.7.1

=== debian/changelog ===
rust-sequoia-cert-store (0.7.1-1) unstable; urgency=medium

  * Package sequoia-cert-store 0.7.1 from crates.io using debcargo 2.7.8
    - refresh and relax relax-deps.patch.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Dec 2025 11:46:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,21 @@
  libstd-rust-dev <!nocheck>,
  librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
  librust-crossbeam-0.8+default-dev (>= 0.8.1-~~) <!nocheck>,
- librust-dirs-5+default-dev <!nocheck>,
- librust-gethostname-0.4+default-dev <!nocheck>,
+ librust-dirs+default-dev (<< 7-~~) <!nocheck>,
+ librust-dirs+default-dev (>= 5-~~) <!nocheck>,
+ librust-gethostname+default-dev (<< 2-~~) <!nocheck>,
+ librust-gethostname+default-dev (>= 0.4-~~) <!nocheck>,
  librust-num-cpus-1+default-dev <!nocheck>,
  librust-openpgp-cert-d-0.3-dev (>= 0.3.4-~~) <!nocheck>,
  librust-rayon-1+default-dev <!nocheck>,
- librust-rusqlite-0.29+blob-dev <!nocheck>,
- librust-rusqlite-0.29+collation-dev <!nocheck>,
- librust-rusqlite-0.29+default-dev <!nocheck>,
- librust-rusqlite-0.29+trace-dev <!nocheck>,
+ librust-rusqlite+blob-dev (<< 0.38-~~) <!nocheck>,
+ librust-rusqlite+blob-dev (>= 0.29-~~) <!nocheck>,
+ librust-rusqlite+collation-dev (<< 0.38-~~) <!nocheck>,
+ librust-rusqlite+collation-dev (>= 0.29-~~) <!nocheck>,
+ librust-rusqlite+default-dev (<< 0.38-~~) <!nocheck>,
+ librust-rusqlite+default-dev (>= 0.29-~~) <!nocheck>,
+ librust-rusqlite+trace-dev (<< 0.38-~~) <!nocheck>,
+ librust-rusqlite+trace-dev (>= 0.29-~~) <!nocheck>,
  librust-sequoia-net-0.30-dev <!nocheck>,
  librust-sequoia-openpgp-2+crypto-nettle-dev <!nocheck>,
  librust-smallvec-1+default-dev (>= 1.1-~~) <!nocheck>,
@@ -43,15 +49,21 @@
  ${misc:Depends},
  librust-anyhow-1+default-dev (>= 1.0.18-~~),
  librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
- librust-dirs-5+default-dev,
- librust-gethostname-0.4+default-dev,
+ librust-dirs+default-dev (<< 7-~~),
+ librust-dirs+default-dev (>= 5-~~),
+ librust-gethostname+default-dev (<< 2-~~),
+ librust-gethostname+default-dev (>= 0.4-~~),
  librust-num-cpus-1+default-dev,
  librust-openpgp-cert-d-0.3-dev (>= 0.3.4-~~),
  librust-rayon-1+default-dev,
- librust-rusqlite-0.29+blob-dev,
- librust-rusqlite-0.29+collation-dev,
- librust-rusqlite-0.29+default-dev,
- librust-rusqlite-0.29+trace-dev,
+ librust-rusqlite+blob-dev (<< 0.38-~~),
+ librust-rusqlite+blob-dev (>= 0.29-~~),
+ librust-rusqlite+collation-dev (<< 0.38-~~),
+ librust-rusqlite+collation-dev (>= 0.29-~~),
+ librust-rusqlite+default-dev (<< 0.38-~~),
+ librust-rusqlite+default-dev (>= 0.29-~~),
+ librust-rusqlite+trace-dev (<< 0.38-~~),
+ librust-rusqlite+trace-dev (>= 0.29-~~),
  librust-sequoia-net-0.30-dev,
  librust-sequoia-openpgp-2+crypto-nettle-dev,
  librust-smallvec-1+default-dev (>= 1.1-~~),
@@ -69,8 +81,8 @@
  librust-sequoia-cert-store-0.7-dev (= ${binary:Version}),
  librust-sequoia-cert-store-0.7+default-dev (= ${binary:Version}),
  librust-sequoia-cert-store-0.7+keyserver-dev (= ${binary:Version}),
- librust-sequoia-cert-store-0.7.0-dev (= ${binary:Version}),
- librust-sequoia-cert-store-0.7.0+default-dev (= ${binary:Version}),
- librust-sequoia-cert-store-0.7.0+keyserver-dev (= ${binary:Version})
+ librust-sequoia-cert-store-0.7.1-dev (= ${binary:Version}),
+ librust-sequoia-cert-store-0.7.1+default-dev (= ${binary:Version}),
+ librust-sequoia-cert-store-0.7.1+keyserver-dev (= ${binary:Version})
 Description: Certificate database interface - Rust source code
  Source code for Debianized Rust crate "sequoia-cert-store"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.7.1 --all-targets --all-features
Features: test-name=rust-sequoia-cert-store:@
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-rand+default-dev (<< 0.10-~~), librust-rand+default-dev (>= 0.8-~~), librust-rusqlite+blob-dev (<< 0.38-~~), librust-rusqlite+blob-dev (>= 0.29-~~), librust-rusqlite+collation-dev (<< 0.38-~~), librust-rusqlite+collation-dev (>= 0.29-~~), librust-rusqlite+default-dev (<< 0.38-~~), librust-rusqlite+default-dev (>= 0.29-~~), librust-rusqlite+modern-sqlite-dev (<< 0.38-~~), librust-rusqlite+modern-sqlite-dev (>= 0.29-~~), librust-rusqlite+trace-dev (<< 0.38-~~), librust-rusqlite+trace-dev (>= 0.29-~~), librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.7.1 --all-targets
Features: test-name=librust-sequoia-cert-store-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-rand+default-dev (<< 0.10-~~), librust-rand+default-dev (>= 0.8-~~), librust-rusqlite+blob-dev (<< 0.38-~~), librust-rusqlite+blob-dev (>= 0.29-~~), librust-rusqlite+collation-dev (<< 0.38-~~), librust-rusqlite+collation-dev (>= 0.29-~~), librust-rusqlite+default-dev (<< 0.38-~~), librust-rusqlite+default-dev (>= 0.29-~~), librust-rusqlite+modern-sqlite-dev (<< 0.38-~~), librust-rusqlite+modern-sqlite-dev (>= 0.29-~~), librust-rusqlite+trace-dev (<< 0.38-~~), librust-rusqlite+trace-dev (>= 0.29-~~), librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.7.1 --all-targets --no-default-features --features keyserver
Features: test-name=librust-sequoia-cert-store-dev:keyserver
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-rand+default-dev (<< 0.10-~~), librust-rand+default-dev (>= 0.8-~~), librust-rusqlite+blob-dev (<< 0.38-~~), librust-rusqlite+blob-dev (>= 0.29-~~), librust-rusqlite+collation-dev (<< 0.38-~~), librust-rusqlite+collation-dev (>= 0.29-~~), librust-rusqlite+default-dev (<< 0.38-~~), librust-rusqlite+default-dev (>= 0.29-~~), librust-rusqlite+modern-sqlite-dev (<< 0.38-~~), librust-rusqlite+modern-sqlite-dev (>= 0.29-~~), librust-rusqlite+trace-dev (<< 0.38-~~), librust-rusqlite+trace-dev (>= 0.29-~~), librust-rusty-fork-0.3+default-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-cert-store 0.7.1 --all-targets --no-default-features
